Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
TestPartResult Class Reference

`#include <gtest-test-part.h>`

## Public Types
enum | Type { kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure }
enum | Type { kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure }
enum | Type { kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure, kSuccess, kNonFatalFailure, kFatalFailure }

## Public Member Functions
| TestPartResult (Type a_type, const char *a_file_name, int a_line_number, const char *a_message)
Type | type () const
const char * | file_name () const
int | line_number () const
const char * | summary () const
const char * | message () const
bool | passed () const
bool | failed () const
bool | nonfatally_failed () const
bool | fatally_failed () const
| TestPartResult (Type a_type, const char *a_file_name, int a_line_number, const char *a_message)
Type | type () const
const char * | file_name () const
int | line_number () const
const char * | summary () const
const char * | message () const
bool | passed () const
bool | failed () const
bool | nonfatally_failed () const
bool | fatally_failed () const
| TestPartResult (Type a_type, const char *a_file_name, int a_line_number, const char *a_message)
Type | type () const
const char * | file_name () const
int | line_number () const
const char * | summary () const
const char * | message () const
bool | passed () const
bool | failed () const
bool | nonfatally_failed () const
bool | fatally_failed () const

## Member Enumeration Documentation

enum Type

Enumerator
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |

enum Type

Enumerator
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |

enum Type

Enumerator
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |
kSuccess |
kNonFatalFailure |
kFatalFailure |

## Constructor & Destructor Documentation

TestPartResult | ( | Type | a_type,
|  | const char * | a_file_name,
|  | int | a_line_number,
|  | const char * | a_message
| ) |  |
| inline

TestPartResult | ( | Type | a_type,
|  | const char * | a_file_name,
|  | int | a_line_number,
|  | const char * | a_message
| ) |  |
| inline

TestPartResult | ( | Type | a_type,
|  | const char * | a_file_name,
|  | int | a_line_number,
|  | const char * | a_message
| ) |  |
| inline

## Member Function Documentation

bool failed | ( |  | ) | const
| inline

bool failed | ( |  | ) | const
| inline

bool failed | ( |  | ) | const
| inline

bool fatally_failed | ( |  | ) | const
| inline

bool fatally_failed | ( |  | ) | const
| inline

bool fatally_failed | ( |  | ) | const
| inline

const char* file_name | ( |  | ) | const
| inline

const char* file_name | ( |  | ) | const
| inline

const char* file_name | ( |  | ) | const
| inline

int line_number | ( |  | ) | const
| inline

int line_number | ( |  | ) | const
| inline

int line_number | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

const char* message | ( |  | ) | const
| inline

bool nonfatally_failed | ( |  | ) | const
| inline

bool nonfatally_failed | ( |  | ) | const
| inline

bool nonfatally_failed | ( |  | ) | const
| inline

bool passed | ( |  | ) | const
| inline

bool passed | ( |  | ) | const
| inline

bool passed | ( |  | ) | const
| inline

const char* summary | ( |  | ) | const
| inline

const char* summary | ( |  | ) | const
| inline

const char* summary | ( |  | ) | const
| inline

Type type | ( |  | ) | const
| inline

Type type | ( |  | ) | const
| inline

Type type | ( |  | ) | const
| inline

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest-test-part.h
- testing/googleTest/fused-src/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest-test-part.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc